# Embedded Unit Converter

Embed a small bit of code that converts between units of measure, e.g. Fahrenheit to Celsius.

An example of a Rust library that is embeddable in Python and Web Assembly.

##  Getting setup

Insure the following dependencies are in place:

* Rust v1.32+ (nightly)
    * Install using `rustup toolchain install nightly`
    * Set default toolchain `rustup default nightly`
* Python 3 Development headers (python3-dev in Ubuntu)

## Running the Python example

1. Build the rust crate first: `cargo build`

## Documentation

* [PyO3 Python - Rust bindings](https://pyo3.rs/master/get_started.html)
* [Setting up WebAssembly](https://www.hellorust.com/setup/wasm-target/)
* [Rust WASM book](https://rustwasm.github.io/book/introduction.html)
